Skip to content

List payment tokens for a card

Request

You have the option to obtain the payment tokens associated with a card, which can assist in determining if it's already linked to a specific wallet. Note that the payment token status associated with the card may not be accurate (for example, after a phone factory reset). Therefore, it's advisable to consistently check the wallet instance for the most up-to-date token status.

Security
UserToken
Path
profileIdinteger, (int64)required

The profile ID.

Example:12345
cardTokenstring, (uuid)required

The card token.

Example:a3f90c98-1cd1-4488-9050-2e32c696f8fa
Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/jsonrequired
walletNamesArray of strings

List of supported wallet types.

Items Enum:"APPLE_PAY""GOOGLE_PAY"
Example:
[ "APPLE_PAY", "GOOGLE_PAY" ]
curl -i -X POST \
  https://api.wise.com/2026Q3/spend/profiles/12345/cards/a3f90c98-1cd1-4488-9050-2e32c696f8fa/payment-tokens \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -d '{
    "walletNames": [
      "APPLE_PAY",
      "GOOGLE_PAY"
    ]
  }'

Responses

Returns all the payment tokens except deactivated.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
paymentTokensArray of objects
Response
{ "paymentTokens": [ { "cardToken": "a3f90c98-1cd1-4488-9050-2e32c696f8fa", "walletName": "GOOGLE_PAY", "paymentTokenUniqueReference": "DSHRMC0000255389d1106783179b420aa5b5ca09ba2f12b8", "panUniqueReference": "FSHRMC000025538959679bc73c9d4fdc8031b20fa91d0e3b", "provisioningStatus": "ACTIVE", "creationTime": "2025-02-06T15:34:23.877041000Z", "modificationTime": "2025-02-06T15:34:23.877343000Z" }, { "cardToken": "a3f90c98-1cd1-4488-9050-2e32c696f8fa", "walletName": "GOOGLE_PAY", "paymentTokenUniqueReference": "DSHRMC0000255389e2f7133754ab4e2f87fc323730fdfd8e", "panUniqueReference": "", "provisioningStatus": "INACTIVE", "creationTime": "2025-06-25T22:05:47.116016000Z", "modificationTime": "2025-06-25T22:05:47.116077000Z" }, { "cardToken": "a3f90c98-1cd1-4488-9050-2e32c696f8fa", "walletName": "APPLE_PAY", "paymentTokenUniqueReference": "DAPLMC000025538967ea1d7972414a93a6544a07dae27a8c", "panUniqueReference": "FAPLMC0000255389d7df244df7244803aa2c4ce2a29c242a", "provisioningStatus": "ACTIVE", "creationTime": "2025-08-19T21:28:28.434472000Z", "modificationTime": "2025-08-19T21:28:28.434738000Z" }, { "cardToken": "a3f90c98-1cd1-4488-9050-2e32c696f8fa", "walletName": "APPLE_PAY", "paymentTokenUniqueReference": "DAPLMC0000255389c25cd65bf8084c168dbc4aa59708841a", "panUniqueReference": "FAPLMC0000255389d7df244df7244803aa2c4ce2a29c242a", "provisioningStatus": "SUSPENDED", "creationTime": "2025-08-04T01:37:30.658315000Z", "modificationTime": "2025-08-04T01:37:30.658552000Z" } ] }